Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class PaletteImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.PaletteImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, Palette

    public class PaletteImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements Palette

An implementation of the model object 'Palette'.

The following features are implemented:

- `Diagram`
- `Flyout`
- `Groups`
- `Package Name`
- `Factory Class Name`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `FACTORY_CLASS_NAME_EDEFAULT` The default value of the '`Factory Class Name`' attribute
`protected java.lang.String` `factoryClassName` The cached value of the '`Factory Class Name`' attribute
`protected boolean` `flyout` The cached value of the '`Flyout`' attribute
`protected static boolean` `FLYOUT_EDEFAULT` The default value of the '`Flyout`' attribute
`protected org.eclipse.emf.common.util.EList<ToolGroup>` `groups` The cached value of the '`Groups`' containment reference list
`protected static java.lang.String` `PACKAGE_NAME_EDEFAULT` The default value of the '`Package Name`' attribute
`protected java.lang.String` `packageName` The cached value of the '`Package Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `PaletteImpl()`

Method Summary
`boolean` `definesStandardTools()`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`GenDiagram` `getDiagram()`
`java.lang.String` `getFactoryClassName()` Returns the value of the 'Factory Class Name' attribute
`java.lang.String` `getFactoryClassNameGen()`
`java.lang.String` `getFactoryQualifiedClassName()`
`org.eclipse.emf.common.util.EList<ToolGroup>` `getGroups()`
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`java.lang.String` `getPackageNameGen()`
`boolean` `isFlyout()`
`void` `setFactoryClassName(java.lang.String newFactoryClassName)`
`void` `setFlyout(boolean newFlyout)`
`void` `setPackageName(java.lang.String newPackageName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### FLYOUT_EDEFAULT

    protected static final boolean FLYOUT_EDEFAULT

  The default value of the '`Flyout`' attribute.

  See Also:
    `isFlyout()`, Constant Field Values
  ** Generated **
  Ordered:

### flyout

    protected boolean flyout

  The cached value of the '`Flyout`' attribute.

  See Also:
    `isFlyout()`
  ** Generated **
  Ordered:

### groups

    protected org.eclipse.emf.common.util.EList<ToolGroup> groups

  The cached value of the '`Groups`' containment reference list.

  See Also:
    `getGroups()`
  ** Generated **
  Ordered:

### PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String PACKAGE_NAME_EDEFAULT

  The default value of the '`Package Name`' attribute.

  See Also:
    `getPackageName()`
  ** Generated **
  Ordered:

### packageName

    protected java.lang.String packageName

  The cached value of the '`Package Name`' attribute.

  See Also:
    `getPackageName()`
  ** Generated **
  Ordered:

### FACTORY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String FACTORY_CLASS_NAME_EDEFAULT

  The default value of the '`Factory Class Name`' attribute.

  See Also:
    `getFactoryClassName()`
  ** Generated **
  Ordered:

### factoryClassName

    protected java.lang.String factoryClassName

  The cached value of the '`Factory Class Name`' attribute.

  See Also:
    `getFactoryClassName()`
  ** Generated **
  Ordered:

Constructor Detail

### PaletteImpl

    protected PaletteImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getDiagram

    public GenDiagram getDiagram()

  Specified by:
    `getDiagram` in interface `Palette`
  Returns:
    the value of the 'Diagram' container reference.
  See Also:
    `GMFGenPackage.getPalette_Diagram()`, `GenDiagram.getPalette()`
  ** Generated **

### isFlyout

    public boolean isFlyout()

  Specified by:
    `isFlyout` in interface `Palette`
  Returns:
    the value of the 'Flyout' attribute.
  See Also:
    `Palette.setFlyout(boolean)`, `GMFGenPackage.getPalette_Flyout()`
  ** Generated **

### setFlyout

    public void setFlyout(boolean newFlyout)

  Specified by:
    `setFlyout` in interface `Palette`
  Parameters:
    `newFlyout` - the new value of the 'Flyout' attribute.
  See Also:
    `Palette.isFlyout()`
  ** Generated **

### getGroups

    public org.eclipse.emf.common.util.EList<ToolGroup> getGroups()

  Specified by:
    `getGroups` in interface `Palette`
  Returns:
    the value of the 'Groups' containment reference list.
  See Also:
    `GMFGenPackage.getPalette_Groups()`, `ToolGroup.getPalette()`
  ** Generated **

### getPackageNameGen

    public java.lang.String getPackageNameGen()

  ** Generated **

### getPackageName

    public java.lang.String getPackageName()

  Description copied from interface: `Palette`
  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getPackageName` in interface `Palette`
  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `Palette.setPackageName(String)`, `GMFGenPackage.getPalette_PackageName()`

### setPackageName

    public void setPackageName(java.lang.String newPackageName)

  Specified by:
    `setPackageName` in interface `Palette`
  Parameters:
    `newPackageName` - the new value of the 'Package Name' attribute.
  See Also:
    `Palette.getPackageName()`
  ** Generated **

### getFactoryClassNameGen

    public java.lang.String getFactoryClassNameGen()

  ** Generated **

### getFactoryClassName

    public java.lang.String getFactoryClassName()

  Description copied from interface: `Palette`
  Returns the value of the 'Factory Class Name' attribute.

  If the meaning of the 'Factory Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getFactoryClassName` in interface `Palette`
  Returns:
    the value of the 'Factory Class Name' attribute.
  See Also:
    `Palette.setFactoryClassName(String)`, `GMFGenPackage.getPalette_FactoryClassName()`

### setFactoryClassName

    public void setFactoryClassName(java.lang.String newFactoryClassName)

  Specified by:
    `setFactoryClassName` in interface `Palette`
  Parameters:
    `newFactoryClassName` - the new value of the 'Factory Class Name' attribute.
  See Also:
    `Palette.getFactoryClassName()`
  ** Generated **

### getFactoryQualifiedClassName

    public java.lang.String getFactoryQualifiedClassName()

  Specified by:
    `getFactoryQualifiedClassName` in interface `Palette`
  ** Generated **
    NOT

### definesStandardTools

    public boolean definesStandardTools()

  Description copied from interface: `Palette`

  Specified by:
    `definesStandardTools` in interface `Palette`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.